= form_for [@committee, trial] do |f|
  - if params[:redirect_url].present? || trial.referer.present?
    = f.hidden_field(:referer, value: params[:redirect_url])
  - if trial.errors.any?
    .container-fluid
      .col-lg-6.offset-lg-3.col-md-8.offset-md-2
        .card.card-outline-danger#error-explanation
          .card-block
            %h4
              = t('errors', count: trial.errors.count)
              = t('error_message', count: trial.errors.count)
            %ul.list-group
              - trial.errors.full_messages.each do |msg|
                %li.list-group-item= msg
    .ls40

  .row
    .col-md-6.col-sm-11
      .container
        %h3= t(:trial)
        .field.form-group
          = f.label :title
          = f.text_field :title, class: 'form-control',
          placeholder: t('trial_form.title.placeholder')
          %small.form-text.text-muted= t('trial_form.title.description')
        .row
          - if @committee.ranks.present?
            .field.form-group.col-lg-6
              = f.label :rank_id
              = f.select :rank_id, ranks.collect { |c| [c.name, c.id] },
              {}, class: 'custom-select form-control', readonly: ranks.one?
              %small.form-text.text-muted= t('trial_form.rank.description')
          .field.form-group.col-lg-6
            = f.label :deadline
            .container
              .row= f.date_select :deadline,
              { discard_day: true, with_css_classes: true },
              class: 'custom-select mb-2 mb-sm-2 col-sm-6'
            %small.form-text.text-muted= t('trial_form.deadline.description')
        - unless action_name == 'new'
          - if current_user.present?
            .field.form-group
              = f.label :status
              = f.select :status, Trial::STATUSES, {},
              class: 'custom-select form-control'
        .field.form-group
          = f.label :supervisor, class: 'h4'
          = f.text_field :supervisor, class: 'form-control',
          placeholder: t('trial_form.supervisor.placeholder')
          %small.form-text.text-muted= t('trial_form.supervisor.description')
        .row
          .field.form-group.col-lg-6
            = f.label :supervisor_phone_number
            = f.text_field :supervisor_phone_number, class: 'form-control',
            placeholder: t('trial_form.supervisor_phone_number.placeholder')
          .field.form-group.col-lg-6
            = f.label :supervisor_email
            = f.text_field :supervisor_email, class: 'form-control',
            placeholder: t('trial_form.supervisor_email.placeholder')
    .col-md-6.col-sm-11
      .container
        %h3= t(:candidate)
        .row
          .field.form-group.col-lg-6
            = f.label :email
            = f.text_field :email, class: 'form-control',
            placeholder: t('trial_form.email.placeholder')
            %small.form-text.text-muted= t('trial_form.email.description')
          .field.form-group.col-lg-6
            = f.label :phone_number
            = f.text_field :phone_number, class: 'form-control',
            placeholder: t('trial_form.phone_number.placeholder')
            %small.form-text.text-muted
              = t('trial_form.phone_number.description')
        .row
          - if @committee.environments.present?
            .field.form-group.col-lg-6
              = f.label :environment_id
              = f.select :environment_id,
              environments.collect { |c| [c.name, c.id] },
              {}, class: 'custom-select form-control'
              %small.form-text.text-muted
                = t('trial_form.environment.description')
          .field.form-group.col-lg-6
            = f.label :troop
            = f.text_field :troop, class: 'form-control',
            placeholder: t('trial_form.troop.placeholder')
            %small.form-text.text-muted= t('trial_form.troop.description')
        .row
          .field.form-group.col-lg-6
            = f.label :birthdate
            .container
              .row
                = f.date_select :birthdate,
                { start_year: 50.years.ago.year,
                end_year: 10.years.ago.year,
                include_blank: true },
                class: 'custom-select mb-2 mb-sm-2 col-sm-4'
                %small.form-text.text-muted
                  = t('trial_form.birthdate.description')
          - if trial.private_key_digest.blank?
            .field.form-group.col-lg-6
              = f.label :private_key
              = f.text_field :private_key, class: 'form-control',
              placeholder: t('trial_form.private_key.placeholder')
              %small.form-text.text-muted
                = t('trial_form.private_key.description')
          - elsif trial.private_key.present?
            = f.hidden_field :private_key, value: trial.private_key[0..-5]
        - if action_name == 'new' || !@trial.formal_conditions?
          - if @committee.formal_conditions.present?
            .field.form-group
              %h3= t(:confirmation)
              %label
                = t(:formal_conditions)
                %span.badge.badge-default.pointer{ type: 'button',
                'data-target': '#formal-conditions-modal',
                'data-toggle': 'modal' } ?
              %br
              = f.label :formal_conditions, class: 'form-check-label' do
                = f.check_box :formal_conditions, class: 'form-check-input'
                = t(:formal_condition_acceptance)
        - else
          .hidden
            = f.check_box :formal_conditions
        .actions.btn-group.d-block
          = link_to t(:back), params[:redirect_url] || :back,
          class: 'btn btn-secondary btn-inline-block col-6 float-left'
          = f.submit t(:save), class: 'btn btn-success btn-inline-block col-6'
